:root {
    --dark-100: #1D1D1D;
    --dark-90: #343434;
    --dark-80: #4A4A4A;
    --dark-70: #616161;
    --dark-60: #777777;
    --dark-50: #8E8E8E;
    --dark-40: #A4A4A4;
    --dark-30: #BCBCBC;
    --dark-20: #D2D2D2;
    --dark-10: #E9E9E9;
    --dark-5: #F3F3F3;
    
    --dark-1: #f8f8f8;
    --primary-100: #FCBF16;
    --primary-90: #FDC62E;
    --primary-80: #FDCC45;
    --primary-70: #FDD35C;
    --primary-60: #FDD973;
    --primary-50: #FEDF8B;
    --primary-40: #FEE5A2;
    --primary-30: #FEF2D0;
    --primary-20: #FFECBA;
    --primary-10: #FFF9E8;
    --primary-5: #FFFCF3;
    
    --acsent-100: #EE1B29;
    --acsent-90: #F0323F;
    --acsent-80: #F14954;
    --acsent-70: #F4606A;
    --acsent-60: #F5767F;
    --acsent-50: #F78D94;
    --acsent-40: #F8A4A9;
    --acsent-30: #FABBBF;
    --acsent-20: #FCD1D4;
    --acsent-10: #FEE9EA;
    --acsent-5: #FEF3F4;
    
    --light-color: #ffffff;

    --anim: 0.4s ease;
    --font-family:
    "Akrobat", sans-serif;
}

body {
    font-size: 16px;
    color: var(--dark-100);
    font-family: var(--font-family);
}

img, svg {
    max-width: 100%;
    height: auto;
}

svg {
    fill: currentColor;
    color: inherit;
}

a, button {
    color: inherit;
}

td {
    padding: 16px;
    border: 1px solid lightgray;
}

.picture-image {
    position: relative;
    padding-bottom: 100%;
}

.picture-image img {position: absolute;top: 0;left: 0;width: 100%;height: 100%;object-fit: cover;}

.title {
    font-size: clamp(1.5rem, 1.056rem + 2.222vw, 3rem);
    margin-bottom: clamp(1rem, 0.704rem + 1.481vw, 2rem);
    font-family: var(--font-family);
    text-transform: uppercase;
    font-weight: 900;
}

.title--small {
    font-size: clamp(1.125rem, 0.866rem + 1.296vw, 2rem);
}

.primary-color {
    color: var(--primary-100);
}

.swiper-button-arrow {
    background-color: var(--dark-100);
    border: 1px solid var(--dark-100);
    width: 48px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--light-color);
    opacity: 0;
    visibility: hidden;
    transition: opacity var(--anim), visibility var(--anim), background-color var(--anim), color var(--anim);
}

.swiper-button-arrow::after {
    color: inherit;
    font-size: inherit;
}

.button {
    display: inline-block;
    padding: clamp(0.75rem, 0.676rem + 0.37vw, 1rem) clamp(1.5rem, 1.352rem + 0.741vw, 2rem);
    border-radius: clamp(0.5rem, 0.426rem + 0.37vw, 0.75rem);
    font-size: clamp(0.75rem, 0.676rem + 0.37vw, 1rem);
    background-image: linear-gradient(260deg, var(--acsent-100) 0%, var(--primary-100) 100%);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border: 1px solid transparent;
    color: var(--light-color);
    text-transform: uppercase;
    font-weight: 600;
    text-decoration: none;
    transition: opacity var(--anim);
}

.button:hover {
    opacity: 0.7;
}

.tabs__nav {
    padding: 0;
    list-style: none;
    margin-bottom: 24px;
    display: flex;
    justify-content: center;
}

.tabs__nav-btn {
    padding: 12px 32px;
    border: 1px solid var(--primary-100);
    background: transparent;
    text-transform: uppercase;
    font-weight: 800;
}

.tabs__nav-item:last-child .tabs__nav-btn {
    border-bottom-right-radius: 16px;
    border-top-right-radius: 16px;
}

.tabs__nav-item:first-child .tabs__nav-btn {
    border-bottom-left-radius: 16px;
    border-top-left-radius: 16px;
}

.tabs__nav-item:not(:first-child) {
    margin-left: -1px;
}

.tabs__nav-btn--active {
    background-repeat: no-repeat;
    background-color: var(--primary-100);
    color: inherit;
}

.tabs__panel {
    display: none;
}

.tabs__panel--active {
    display: block;
}

.burger {
    display: flex;
    flex-direction: column;
    gap: 6px;
    width: 36px;
    height: 36px;
    background: none;
    border: none;
    padding: 0;
    align-items: center;
    justify-content: center;
}

.burger::after,.burger::before {
    content: '';
}

.burger::after, .burger::before,.burger__line {
    width: 100%;
    height: 3px;
    background: var(--dark-100);
    border-radius: 20px;
}

.header {
    padding-block: 16px;
}

.logo {
    display: flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
}

.logo__descr {
    display: flex;
    flex-direction: column;
}

.logo__name {
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
}

.logo__caption {
    font-size: clamp(0.75rem, 0.142rem + 0.98vw, 1rem);
    opacity: 0.7;
}

.header__link {
    font-size: clamp(1rem, -0.216rem + 1.961vw, 1.5rem);
    font-weight: 600;
}

.header__link--email {
    font-size: clamp(0.75rem, -0.162rem + 1.471vw, 1.125rem);
    font-weight: 500;
}

.header-address {
    font-weight: 600;
    font-size: clamp(0.75rem, -0.162rem + 1.471vw, 1.125rem);
}

.header-clock {
    font-size: clamp(0.75rem, 0.446rem + 0.49vw, 0.875rem);
}

.menu {
    position: sticky;
    top: 0;
    z-index: 100;
    background-color: var(--light-color);
    border-top: 1px solid var(--dark-10);
    border-bottom: 1px solid var(--dark-10);
}

.menu__list {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
}

.menu__item-link {
    padding: 12px clamp(0.75rem, -1.074rem + 2.941vw, 1.5rem);
    font-size: clamp(0.75rem, 0.142rem + 0.98vw, 1rem);
    text-decoration: none;
    position: relative;
    display: flex;
    text-transform: uppercase;
    font-weight: 600;
    transition: color var(--anim), background-color var(--anim);
}

.menu__item-link>img {
    width: clamp(1rem, -0.216rem + 1.961vw, 1.5rem);
    margin-right: clamp(0.5rem, -0.108rem + 0.98vw, 0.75rem);
    height: clamp(1rem, -0.216rem + 1.961vw, 1.5rem);
}

.menu__item-link svg {
    width: 8px;
    margin-left: 4px;
}

.menu__item-link::before {
    content: '';
    position: absolute;
    top: -1px;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: var(--primary-100);
    opacity: 0;
    transition: opacity var(--anim);
}

.menu__item-link:hover::before, .menu__item--current .menu__item-link::before {
    opacity: 1;
}

.submenu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    padding-top: 2px;
}

.menu__item--parent:hover>.submenu {
    display: block;
}

.submenu__wrapper {
    list-style: none;
    margin: 0;
    padding: 0;
    min-width: 280px;
    border: 1px solid var(--dark-10);
    background-color: var(--light-color);
}

.submenu__link {
    display: flex;
    align-items: center;
    padding: 12px 23px;
    font-weight: 600;
    text-decoration: none;
}

.menu__item--parent {
    position: relative;
}

.submenu__wrapper>.menu__item--parent>.submenu {
    left: 100%;
    top: -1px;
    padding: 0px;
}

.submenu__wrapper>.menu__item--parent>.menu__item-link {
    justify-content: space-between;
}

.search-open {
    position: relative;
    z-index: 2;
    background: linear-gradient(260deg, #EE1B29 0%, #FCBF16 100%);
    background-position: -60px;
    background-size: 60px;
    background-repeat: no-repeat;
    border: none;
    color: var(--dark-100);
    margin: 0;
    width: 100%;
    height: 100%;
    padding: 12px 16px;
    border-left: 1px solid var(--dark-10);
    border-right: 1px solid var(--dark-10);
    transition: background var(--anim), border-color var(--anim),
    color var(--anim);
}

.search-open svg {
    width: 24px;
}

.search {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    height: 100%;
    width: fit-content;
    margin-left: auto;
}

.search-open:hover {
    border-color: transparent;
    color: var(--light-color);
    background-position: 0;
}

.search-form {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    padding: 0px 70px 0px 0px;
    width: 100%;
    left: 0;
    height: 100%;
}

.search-input {
    width: 100%;
    height: 100%;
    padding: 12px;
    border: none;
}

.search-submit {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 84px;
    background: none;
    border: none;
}

.hero-item {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    min-height: 600px;
    height: calc(100vh - 175px);
    display: flex;
    align-items: center;
    color: var(--light-color);
}

.hero-item::before {
    content: '';
    background: linear-gradient(90deg, rgba(29, 29, 29, 0.7) 0%, rgba(29, 29, 29, 0.1) 100%);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: backdrop-filter var(--anim);
}

.hero-item__title {
    margin-bottom: clamp(0.75rem, 0.528rem + 1.111vw, 1.5rem);
}

.hero-item__content {
    font-size: clamp(0.875rem, 0.764rem + 0.556vw, 1.25rem);
    margin-bottom: 32px;
}

@media (min-width: 992px) {
    .catalog-list__wrapper {
        display: grid;
        grid-template-columns: repeat(3,1fr);
        gap: 24px;
    }
}

.catalog-item {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 12px;
    text-decoration: none;
    text-align: center;
    border-radius: 16px;
    overflow: hidden;
}

.catalog-item__name {
    font-size: 18px;
    font-weight: 600;
    text-align: start;
    transform: translateY(34px);
    transition: transform var(--anim);
}

.catalog-item__content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-end;
    color: var(--light-color);
    background: linear-gradient(0deg, #1D1D1D 0%, rgba(29, 29, 29, 0.00) 100%);
    padding: 24px;
}

.catalog-item__more {
    opacity: 0;
    transition: opacity var(--anim);
    border-bottom: 1px dashed var(--primary-100);
    display: inline-block;
    color: var(--primary-100);
    margin-top: 8px;
}

.catalog-item:hover .catalog-item__more {
    opacity: 1;
}

.catalog-item:hover .catalog-item__name {
    transform: translateY(0);
}

.product-list:hover .swiper-button-arrow {
    opacity: 1;
    visibility: visible;
}

.product-list .swiper-button-arrow:hover {
    background-color: var(--light-color);
    color: var(--dark-100);
}

.product-item {
    text-decoration: none;
    display: flex;
    flex-direction: column;
    /* text-align: center; */
    overflow: hidden;
    /* padding: 24px; */
    background-color: var(--light-color);
    transition: box-shadow var(--anim);
    border-radius: 12px;
    /* overflow: hidden; */
    box-shadow: 0 0 16px 0 rgb(0,0,0,0.05);
    height: 100%;
}

.product-item:hover {box-shadow: 0 0 16px 0 rgb(0,0,0,0.1);}

.product-item__image {
    /* padding: 24px; */
    border-bottom: 1px solid var(--dark-5);
    padding-bottom: 80%;
    position: relative;
    display: block;
}

.product-item__image img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.product-item__price {
    /* margin-bottom: 32px; */
}

.product-item__name {
    font-size: clamp(0.875rem, -0.645rem + 2.451vw, 1.5rem);
    font-weight: 700;
    margin-bottom: 8px;
    text-transform: uppercase;
}

.product-item__content {
    display: flex;
    flex-direction: column;
    padding: clamp(0.75rem, -1.074rem + 2.941vw, 1.5rem);
}

.product-item__price strong {
    font-size: clamp(0.875rem, -0.645rem + 2.451vw, 1.5rem);
}

.product-list {
    padding: 24px 0;
}

.product-item .button {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 12px;
    text-align: center;
    border-bottom-left-radius: 12px;
    margin-top: auto;
}

.advantages {
    background-color: var(--dark-1);
}

.advantage-item {
    background-color: var(--light-color);
    color: var(--dark-100);
    height: 100%;
    padding: 24px;
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: 24px;
    font-size: 16px;
    border-radius: 8px;
}

.advantage-item__icon {
    flex:  0 0 auto;
    width: 48px;
    color: var(--primary-100);
}

.portfolio {
    background-color: var(--dark-1);
}

.portfolio-list:hover .swiper-button-arrow {
    opacity: 1;
    visibility: visible;
}

.portfolio-list .swiper-button-arrow:hover {
    background-color: var(--light-color);
    color: var(--dark-100);
}

.portfolio-item {
    display: flex;
    flex-direction: column;
    position: relative;
    border-radius: 16px;
    overflow: hidden;
}

.portfolio-item__name {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 24px;
    width: 100%;
    height: 100%;
    align-items: flex-end;
    display: flex;
    color: var(--light-color);
    font-weight: 600;
    background-image: linear-gradient(180deg, rgb(0,0,0,0) 0%, var(--dark-100) 100%);
}

.swiper-pagination-bullet {
    background-color: var(--dark-100);
}

.certificates {
    background-color: var(--dark-1);
}

.footer {
    background-color: var(--dark-100);
    color: var(--light-color);
}

.footer__logo {
    filter: invert(1);
}

.footer__caption {
    font-size: 1.5rem;
    margin-bottom: 1rem;
    color: rgb(var(--light-color));
}

.footer__menu {
    display: flex;
    flex-direction: column;
    padding: 0;
    margin: 0;
    list-style: none;
    gap: 4px;
}

.footer__menu-link {
    text-decoration: none;
    color: rgb(var(--light-color));
}

.glightbox {
    position: relative;
    text-decoration: none;
    
}

.glightbox-caption {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.glightbox-caption strong {
    background-color: var(--primary-100);
    padding: 4px 8px;
}

.glightbox-caption span {
    background-color: var(--dark-100);
    padding: 4px 8px;
    color: var(--light-color);
}

.gallery-item {
    text-align: center;
    display: block;
    height: 100%;
}

.gallery-item img {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--light-color);
    border-radius: 16px;
    transition: box-shadow var(--anim);
    box-shadow: 0 0 16px 0 transparent;
    height: 100%;
    object-fit: cover;
    width: 100%;
}

.gallery-item img:hover {
    box-shadow: 0 0 16px 0 rgb(0,0,0,0.05);
}

.swiper {
    padding: 20px 0;
}

.feedback-bottom {
    background-color: var(--dark-1);
    border-top: 1px solid var(--dark-10);
}

.category-tags {
    display: flex;
    gap: 4px;
    flex-wrap: wrap;
}

.category-tag {
    display: block;
    padding: 8px 12px;
    border: 1px solid var(--primary-100);
    border-radius: 4px;
    text-decoration: none;
    font-weight: 600;
    transition: border-color var(--anim), color var(--anim), background-color var(--anim);
}

.category-tag:hover {
    background-color: var(--primary-100);
    color: var(--light-color);
}

.product-thumbs {
    height: 400px;
}

.product-thumbs .swiper-slide {
    display: flex;
    align-items: center;
}

.product-thumbs img {
    /* padding: 8px; */
    border: 1px solid var(--dark-10);
    border-radius: 4px;
    transition: border-color var(--anim);
    /* width: 100%; */
    height: 100%;
    object-fit: contain;
}

.product-thumbs .swiper-slide-thumb-active img {
    border-color: var(--primary-100);
}

.product-images {
    height: 400px;
}

.product-images img {
    border-radius: 16px;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.product-price {
    font-size: clamp(1rem, 0.63rem + 1.852vw, 2.25rem);
}

.product-advantages {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.product-advantage {
    display: flex;
    align-items: center;
    gap: 8px;
}

.product-advantage__icon {
    flex: 0 0 auto;
    width: 40px;
}

.product-advantage__caption {
    font-weight: 700;
}

.product-parameters {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(clamp(17.5rem, 12.44rem + 25.298vw, 28.125rem), 1fr));
    gap: 16px;
}

.product-parameter {
}

.product-parameter {
    display: flex;
    flex-direction: column;
    gap: 8px;
    border-bottom: 1px solid var(--dark-10);
    padding-bottom: 16px;
}

.product-parameter__name {
    font-weight: 700;
}

.product-parameter__value {
    font-size: clamp(0.875rem, 0.69rem + 0.926vw, 1.5rem);
}

.contacts-list {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 24px;
    justify-content: space-between;
    gap: 8px;
}

.contact-item__value {
    font-size: clamp(0.875rem, 0.801rem + 0.37vw, 1.125rem);
    font-weight: 700;
}

.contact-item__caption {
    font-weight: 600;
    opacity: 0.7;
    font-size: clamp(0.75rem, 0.676rem + 0.37vw, 1rem);
}

.contact-item {
    flex: 1 0 auto;
    width: 260px;
    padding: 16px;
    border: 1px solid var(--dark-10);
    border-radius: 8px;
}

.document-list {
    display: flex;
    flex-direction: column;
    gap: clamp(0.5rem, 0.426rem + 0.37vw, 0.75rem);
}

.document-item {
    display: flex;
    align-items: center;
    gap: clamp(1rem, 0.704rem + 1.481vw, 2rem);
}

.document-item__caption {
    font-size: clamp(0.75rem, 0.602rem + 0.741vw, 1.25rem);
    font-weight: 600;
}

.document-item__link {
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 0 0 auto;
    width: clamp(2rem, 1.556rem + 2.222vw, 3.5rem);
    height: clamp(2rem, 1.556rem + 2.222vw, 3.5rem);
    border: 1px solid var(--dark-100);
    border-radius: 50%;
    padding: clamp(0.5rem, 0.352rem + 0.741vw, 1rem);
    transition: border-color var(--anim), background-color var(--anim);
}

.document-item__link:hover {
    background-color: var(--primary-100);
    border-color: var(--primary-100);
}